* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	font-size: 1rem;
}

button {
	border: none;
	outline: none;
	padding: 0 0.75rem;
	height: 2em;;
	display: inline-grid;
	place-content: center;
	cursor: pointer;
	border-radius: 0.5rem;
}

.button-primary {
	background-color: #81188a;
	color: white;
}

.button-secondary {
	background-color: #ddd;
	color: #000;
}

input[type="text"], input[type="number"] {
	height: 2rem;
	border-radius: 0.5rem;
	border: 2px solid #81188a;
	background-color: #eee;
	padding: 0px 0.75rem;
}

input[type="checkbox"] {
	width: 1.5rem;
	height: 1.5rem;
}

.row-center {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

button:hover {
	opacity: 90%;
}

.controls {
	position: fixed;
	left: 1rem;
	top: 1rem;
	background-color: white;
	padding: 1rem;
	display: flex;
	flex-direction: column;
	gap: 1.5rem;
	border-radius: 1rem;
}